/**
 *        __       __               __ 
 *   ____/ /_ ____/ /______ _ ___  / /_
 *  / __  / / ___/ __/ ___/ / __ `/ __/
 * / /_/ / (__  ) / / /  / / /_/ / / 
 * \__,_/_/____/_/ /_/  /_/\__, /_/ 
 *                           / / 
 *                           \/ 
 * http://distriqt.com
 *
 * @file   		NotificationsReceiver.java
 * @brief  		Main notification receiver
 * @author 		Michael Archbold (ma@distriqt.com)
 * @created		Jan 16, 2012
 * @updated		$Date:$
 * @copyright	http://distriqt.com/copyright/license.txt
 */
package com.distriqt.extension.notifications;

import com.adobe.fre.FREContext;
import com.distriqt.extension.notifications.events.NotificationsEvents;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

public class NotificationsReceiver extends BroadcastReceiver 
{
	private static String TAG = NotificationsReceiver.class.getSimpleName();
	
	public static String NOTIFICATION_ACTION	= "com.distriqt.extension.notifications.NOTIFICATION";
	
	
	public NotificationsReceiver( FREContext context ) 
	{
		super();
	}
	
	
	@Override
	public void onReceive(Context context, Intent intent) 
	{
		Log.i(TAG, "onReceive");
		
		String data = "";
		int id = 0;
		Bundle extras = intent.getExtras();
		if (extras != null)
		{
//			Log.i(TAG, String.valueOf(extras.getLong("when")) );
			Log.i(TAG, String.valueOf(extras.getInt( "id" ))+"::"+extras.getString( "data" ) );
			data = extras.getString( "data" );
			id   = extras.getInt( "id" );
		}
		
		if (NotificationsExtension.context != null)
		{
			//
			// Starts the activity and brings it to the front as it may have been closed
			Activity activity = NotificationsExtension.context.getActivity();	
			Intent showApp = new Intent( activity.getBaseContext(), activity.getClass() );
			showApp.setFlags( Intent.FLAG_ACTIVITY_REORDER_TO_FRONT | Intent.FLAG_ACTIVITY_SINGLE_TOP );
			activity.startActivity(showApp);

			NotificationsExtension.context.dispatchStatusEventAsync( NotificationsEvents.NOTIFICATION_SELECTED, String.format("%08X", id ) + data );
		}
	}

}
