/**
 *        __       __               __ 
 *   ____/ /_ ____/ /______ _ ___  / /_
 *  / __  / / ___/ __/ ___/ / __ `/ __/
 * / /_/ / (__  ) / / /  / / /_/ / / 
 * \__,_/_/____/_/ /_/  /_/\__, /_/ 
 *                           / / 
 *                           \/ 
 * http://distriqt.com
 *
 * @file   		NotificationsCancelAllFunction.java
 * @brief  		Cancel All Function for this extension
 * @author 		Michael Archbold (ma@distriqt.com)
 * @created		Jan 16, 2012
 * @updated		$Date:$
 * @copyright	http://distriqt.com/copyright/license.txt
 */
package com.distriqt.extension.notifications.functions;

import android.app.Activity;
import android.app.NotificationManager;
import android.content.Context;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.distriqt.extension.notifications.NotificationsContext;

public class NotificationsCancelAllFunction implements FREFunction
{

	@Override
	public FREObject call( FREContext context, FREObject[] passedArgs ) 
	{
		NotificationsContext nc = (NotificationsContext)context;
		Activity activity  = nc.getActivity();
		
		NotificationManager notificationManager = (NotificationManager) activity.getSystemService( Context.NOTIFICATION_SERVICE );
		notificationManager.cancelAll();
		return null;
	}

}
